# Searches for recipients using predefined parameters Searches for recipients using predefined parameters Endpoint: POST /recipients/{tenantId}/search Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. ## Query parameters: - `exclusiveStartKey` (string) The start key for the search, for paging support - `fieldsToReturn` (string) The fields that you want to retrieve; if omitted, the entire object is returned ## Request fields (application/json): - `award_ids` (array) IDs of the awards to search - `category_ids` (array) IDs of the award categories - `city` (string) City to search - `contact_ids` (array) The contact ids of the applications - `date` (string) Date - `email_address` (string) - `first_name` (string) - `ids` (array) IDs to search - `job_title` (string) - `last_name` (string) - `name` (string) - `nickname` (string) - `organization_ids` (array) - `owner_type` (string) - `state` (string) The state ## Response 200 fields (application/json): - `Items` (array) - `Items.award_id` (string) The id of the award - `Items.category_id` (string) The award category - `Items.city` (string) City to search - `Items.contact_id` (string) The contact_id of the application - `Items.country` (string) The country - `Items.date` (string) The date of award - `Items.email_address` (string) The email address - `Items.id` (string) - `Items.name` (string) The name - `Items.organization_id` (string) The organization_id of the application - `Items.state` (string) The state - `LastEvaluatedKey` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 405 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields